%define upstream_name Config-Record
%define upstream_version 1.1.2

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 14
Summary:        Perl module for Configuration file access

Group:          Development/Perl
License:        GPLv2+
URL:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/authors/id/D/DA/DANBERR/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         Config-Record-1.1.2-Fix-building-on-Perl-without-dot-in-INC.patch

BuildArch:      noarch
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

%description
Config::Record provides a module for loading configuration
records. It supports scalar, array and hash parameters nested
to an arbitrary depth.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%doc AUTHORS CHANGES LICENSE README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.2-14.mga10
+ Revision: 2203529
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.2-13.mga9
+ Revision: 1808573
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.2-12.mga8
+ Revision: 1503593
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-11.mga7
+ Revision: 1282430
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.1.2-10.mga7
+ Revision: 1163487
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.1.2-9.mga7
+ Revision: 1158752
- Fix building on Perl without . in @INC

* Sat Jun 18 2016 pterjan <pterjan> 1.1.2-8.mga6
+ Revision: 1024314
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.1.2-7.mga6
+ Revision: 968906
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 1.1.2-6.mga6
+ Revision: 856881
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 745631
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 683998
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 510267
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 364704
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 saispo <saispo> 1.1.2-1.mga1
+ Revision: 72167
- imported package perl-Config-Record

